Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Namespace_Context_Stack Class Reference

ACEXML_Namespace_Context_Stack implements a simple stack that ACEXML_NamespaceSupport uses to keep track of namespace scopes. More...

`#include <NamespaceSupport.h>`

Collaboration diagram for ACEXML_Namespace_Context_Stack:

[legend]
List of all members.

## Public Methods
| ACEXML_Namespace_Context_Stack (void)
| Default constructor.
| ~ACEXML_Namespace_Context_Stack (void)
| Destructor.
int | push (ACEXML_NS_CONTEXT *old)
| Push the old namespace before entering into a new namespace scope.
ACEXML_NS_CONTEXT * | pop (void)
| Pop the old namespace when exiting a namespace scope.
## Private Attributes
NS_Node_T * | head_
| Anchor point for head of stack.

## Detailed Description

ACEXML_Namespace_Context_Stack implements a simple stack that ACEXML_NamespaceSupport uses to keep track of namespace scopes.

See also:
  ACEXML_NamespaceSupport

## Constructor & Destructor Documentation

ACEXML_Namespace_Context_Stack::ACEXML_Namespace_Context_Stack | ( | void |  | ) |

| Default constructor.

ACEXML_Namespace_Context_Stack::~ACEXML_Namespace_Context_Stack | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_NS_CONTEXT * ACEXML_Namespace_Context_Stack::pop | ( | void |  | ) |

| Pop the old namespace when exiting a namespace scope.

int ACEXML_Namespace_Context_Stack::push | ( | ACEXML_NS_CONTEXT * | old | ) |

| Push the old namespace before entering into a new namespace scope.

## Member Data Documentation

NS_Node_T* ACEXML_Namespace_Context_Stack::head_`[private]`

| Anchor point for head of stack.

The documentation for this class was generated from the following files:

- NamespaceSupport.h
- NamespaceSupport.cpp